function [model,twoSided, oneSided, reversed]=arrangeDirections(originalModel, uptakeChemicalInd)

tmpModel=originalModel;
[met_num rxn_num] = size(tmpModel.S);
reversed=zeros(rxn_num,1);
twoSided=zeros(rxn_num,1);
oneSided=zeros(rxn_num,1);

%create variables>=0 or with 2 directions
%matrices to change: S,c,lb,ub,rxns,rxnGeneMat, rxnNames,  in tmpModel
tmp_rxn_num=rxn_num;
for i=1:rxn_num
    lbound=tmpModel.lb(i);
    ubound=tmpModel.ub(i);
    if(lbound < 0 && ubound<=0 && i~=uptakeChemicalInd)    %need to change directions)
        sLeft=tmpModel.S(:,1:i-1);
        sRight=tmpModel.S(:,i+1:tmp_rxn_num);
        sVar=tmpModel.S(:,i);

        lbLeft=tmpModel.lb(1:i-1);
        lbRight=tmpModel.lb(i+1:tmp_rxn_num);

        ubLeft=tmpModel.ub(1:i-1);
        ubRight=tmpModel.ub(i+1:tmp_rxn_num);

        Snew=[sLeft,-sVar,sRight];
        lbnew=[lbLeft;-ubound;lbRight];
        ubnew=[ubLeft;-lbound;ubRight];

        tmpModel.S=Snew;
        tmpModel.lb=lbnew;
        tmpModel.ub=ubnew;
        reversed(i)=1;
    end

    if(lbound >= 0 && ubound>0)    %the reaction is one sided
        oneSided(i)=1;        
    else
        twoSided(i)=1;
    end
end

% construct constraints
model = tmpModel;


