function [Ay, zSize]=createAy(model, m, n, vSize, ySize, yInd)

%create Ay
knocables=zeros(m,1);
knocables(yInd)=1;
Ay1=sparse(diag(knocables));
Ay1=sparse(Ay1*sparse(diag(model.ub)));

Ay2=sparse(diag(knocables));
Ay2=sparse(Ay2*sparse(diag(model.lb)));

%calc dual variable z size
z1=find(Ay1);
z2=find(Ay2);
zSize=size([z1;z2],1);

Ay=[sparse(2*n+2*(vSize-ySize),ySize);
    -Ay1(yInd,yInd);
    Ay2(yInd,yInd);
    ];  %flux boundry constraints
