function [jobResults]= CondorLoadBioSensors(batch_name)
pref = sprintf('%s\\%s', pwd, batch_name);

s = GetFileName (pref, 'jobs_data.mat');
load(s);
jobResults = {};
n = length(jobs);
for x=1:n
    
    s1 = sprintf('results_%d.mat', x);
    s2 = GetFileName (pref, s1);

    f = fopen(s2, 'rt');
    if f==-1
        %error('Batch run not completed. Check that Condor has completed running..');
        continue;
    end
    fclose(f);
    load(s2);    
    s = jobs{x}; 
    for i=1:length(results)   %if there are iterations
        jobResults{end+1}.cmd = s;
        jobResults{end}.Results = results(i);
    end
    clear results;
end

function [r]= GetFileName (pref, file_name)
r = sprintf('%s\\%s', pref, file_name);